High Priest Prana:
The Elven Oracle is the Elven Mystic who controls spirits of light, life, innocence and purification, derived from the divinity of Einhasad and Eva. These priests give spiritual advice to other Elves. They practice the arts of white magic and supplementary magic, which offer powerful means of protecting and healing themselves and their fellows, rather than attacking enemies.
Among Elven Oracles, those who are spiritually gifted could become Elven Elders. Elven Elders are the most advanced priests to receive the blessings of Einhasad and Eva. They practice the most powerful white magic.
But first, to become an Elven Oracle, you must pass the Test of the Elven Oracle and bring back the leaf of the Oracle as proof of your accomplishment.
Ask about the leaf of the Oracle
Return